# StepUp Advanced

StepUp Advanced takes the convenience of the original [StepUp][SU] mod for [*Vintage Story*][VS] to the next level. With fully customizable settings, intuitive toggle options, and server compatibility, this mod provides a seamless experience for navigating terrain. Whether you're exploring rugged mountains or building intricate structures, StepUp Advanced enhances mobility and efficiency.

[SU]: https://mods.vintagestory.at/stepup
[VS]: https://www.vintagestory.at/

## Features
- **Configurable Step Height:** Adjust your step height between 0.5 and 2 blocks, making it perfect for varied terrain and playstyles.
- **Dynamic Toggle:** Enable or disable StepUp functionality in real time with a hotkey. (Default: Insert)
- **Real-Time Adjustments:** Increase or decrease step height on the fly using customizable hotkeys (Default: PageUp and PageDown).
- **Reloadable Configuration:** Easily reload your settings mid-game with a hotkey, without restarting. (Default: Home)
- **Immersive Feedback:** Chat notifications and logs keep you updated on changes to your configuration and usage.

## Controls - Keybinds
- **Insert** - Toggle On/Off
- **Home** - Reload Config
- **PageUp** - Increase Step Height
- **PageDown** - Decrease Step Height

StepUp Advanced provides a balance between automation and control, giving players the tools to adapt their gameplay effortlessly. Whether you're crafting, exploring, or in the heat of survival, this mod ensures you never lose momentum.

### Credits: [CopyGirl][CG] => [StepUp][SU]
[CG]: https://mods.vintagestory.at/list/mod?sortby=lastreleased&sortdir=desc&text=&side=&userid=41&mv=
### Note:
This mod includes a hardcoded maximum step height of 2 blocks, which may be controversial for some users. The reason for it being 2 blocks currently, is to give a decent customizable range. Although, intentionally, this mod is required on a server for it to work on a server so that it doesn't act as a 'cheat'.

Additionally, if you have any feature requests or ideas for enhancements, feel free to share them with me! Your input will help shape the future of StepUp Advanced and ensure it fits the needs of the community.